GDAL-DATASET(1)

NAME
gdal-dataset - Entry point for dataset management commands

Added in version 3.12.

gdal dataset can perform various operations on data files, depending on the chosen operation. This includes identifying data types and deleting, renaming or copying the files.

SYNOPSIS

            Usage: gdal dataset <SUBCOMMAND> [OPTIONS]
            where <SUBCOMMAND> is one of:
              - check:    Check whether there are errors when reading the content of a dataset.
              - copy:     Copy files of a dataset. (alias: cp)
              - delete:   Delete dataset(s). (alias: rm, remove)
              - identify: Identify driver opening dataset(s).
              - rename:   Rename files of a dataset. (alias: ren, mv)

            Common Options:
              -h, --help              Display help message and exit
              --json-usage            Display usage as JSON document and exit
              --config <KEY>=<VALUE>  Configuration option [may be repeated]

AVAILABLE SUB-COMMANDS

    •   gdal dataset identify: Identify driver opening dataset(s)

    •   gdal dataset check: Check whether there are errors when reading the content of a dataset.

    •   gdal dataset copy: Copy files of a dataset.

    •   gdal dataset rename: Rename files of a dataset.

    •   gdal dataset delete: Delete dataset(s)

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026